diff --git a/framework/YiiBase.php b/framework/YiiBase.php
index 9ce3923..0814ab0 100644
--- a/framework/YiiBase.php
+++ b/framework/YiiBase.php
@@ -113,7 +113,7 @@ class YiiBase
 	}
 
 	/**
-	 * @return CApplication the application singleton, null if the singleton has not been created yet.
+	 * @return CWebApplication the application singleton, null if the singleton has not been created yet.
 	 */
 	public static function app()
 	{
diff --git a/framework/base/CErrorHandler.php b/framework/base/CErrorHandler.php
index a1c89a3..c6a57d7 100644
--- a/framework/base/CErrorHandler.php
+++ b/framework/base/CErrorHandler.php
@@ -51,6 +51,7 @@ Yii::import('CHtml',true);
  * @version $Id$
  * @package system.base
  * @since 1.0
+ * @property mixed error
  */
 class CErrorHandler extends CApplicationComponent
 {
diff --git a/framework/db/ar/CActiveRecord.php b/framework/db/ar/CActiveRecord.php
index eeba7fb..19bbb11 100644
--- a/framework/db/ar/CActiveRecord.php
+++ b/framework/db/ar/CActiveRecord.php
@@ -21,6 +21,8 @@
  * @since 1.0
  *
  * @property array $attributes
+ * @property string $scenario
+ * @property bool $isNewRecord
  */
 abstract class CActiveRecord extends CModel
 {
diff --git a/framework/logging/CLogRouter.php b/framework/logging/CLogRouter.php
index e5aa3e3..480928d 100644
--- a/framework/logging/CLogRouter.php
+++ b/framework/logging/CLogRouter.php
@@ -47,6 +47,8 @@
  * @version $Id$
  * @package system.logging
  * @since 1.0
+
+ * @property array routes
  */
 class CLogRouter extends CApplicationComponent
 {
diff --git a/framework/web/CController.php b/framework/web/CController.php
index a667460..159e883 100644
--- a/framework/web/CController.php
+++ b/framework/web/CController.php
@@ -61,6 +61,7 @@
  * @version $Id$
  * @package system.web
  * @since 1.0
+ * @property string pageTitle
  */
 class CController extends CBaseController
 {
diff --git a/framework/web/CFormModel.php b/framework/web/CFormModel.php
index 505fe86..b6d3547 100644
--- a/framework/web/CFormModel.php
+++ b/framework/web/CFormModel.php
@@ -23,6 +23,8 @@
  * @version $Id$
  * @package system.web
  * @since 1.0
+ * @property array $attributes
+ * @property string $scenario
  */
 class CFormModel extends CModel
 {
@@ -76,4 +78,4 @@ class CFormModel extends CModel
 		else
 			return self::$_names[$className];
 	}
-}
\ No newline at end of file
+}
diff --git a/framework/web/CHttpRequest.php b/framework/web/CHttpRequest.php
index 77057f6..52900ca 100644
--- a/framework/web/CHttpRequest.php
+++ b/framework/web/CHttpRequest.php
@@ -25,6 +25,8 @@
  * @version $Id$
  * @package system.web
  * @since 1.0
+ * @property bool isAjaxRequest
+ * @property string requestUri
  */
 class CHttpRequest extends CApplicationComponent
 {
diff --git a/framework/web/CWebApplication.php b/framework/web/CWebApplication.php
index 84b1fdd..937d880 100644
--- a/framework/web/CWebApplication.php
+++ b/framework/web/CWebApplication.php
@@ -40,6 +40,22 @@
  * @version $Id$
  * @package system.web
  * @since 1.0
+
+ * @property CLanguage language
+ * @property CLocale locale
+ * @property IAuthManager authManager
+ * @property CWebUser user
+ * @property CCache cache
+ * @property array params
+ * @property CHttpRequest request
+ * @property CHttpSession session
+ * @property CAssetManager assetManager
+ * @property CClientScript clientScript
+ * @property CErrorHandler errorHandler
+ * @property string baseUrl
+ * @property CLogRouter log
+ * @property CDbConnection db
+
  */
 class CWebApplication extends CApplication
 {
diff --git a/framework/web/auth/CWebUser.php b/framework/web/auth/CWebUser.php
index 5d48c15..adabcda 100644
--- a/framework/web/auth/CWebUser.php
+++ b/framework/web/auth/CWebUser.php
@@ -48,6 +48,10 @@
  * @version $Id$
  * @package system.web.auth
  * @since 1.0
+ * @property int groupId
+ * @property int id
+ * @property string returnUrl
+ * @property bool isGuest
  */
 class CWebUser extends CApplicationComponent implements IWebUser
 {
